/*
 * JPA entity PK template
 */

package de.ivu.elect.business.ergebnis.entity;

@javax.enterprise.inject.Vetoed
public class SitzePK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<SitzePK> {

  private static final long serialVersionUID = 0L;

  public SitzePK() {
    super();
  }

  public SitzePK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "SitzePK:"+getId();
  }

  @Override
  public int compareTo(SitzePK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
